com.google.appengine.api.search

## Class FacetResult

- java.lang.Object
- - com.google.appengine.api.search.FacetResult

- All Implemented Interfaces:
    java.io.Serializable

      public final class FacetResult
      extends java.lang.Object
      implements java.io.Serializable

  Represents a facet result computed from an extended search result set. A facet result contains a name, a type, and a set of values. Name is a single facet name and each value has a label and a count. The value label can be a single facet value name, or a range label (in "[start,end)" format).
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FacetResult.Builder` A builder of facet result.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Name of this facet result that is a single facet name.
    `java.util.List<FacetResultValue>` | `getValues()` The list of facet values computed during search.
    `static FacetResult.Builder` | `newBuilder()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getValues

          public java.util.List<FacetResultValue> getValues()

      The list of facet values computed during search. Each value result has a label, count, and refinement token.
      Returns:
        an unmodifiable list of values

    - #### getName

          public java.lang.String getName()

      Name of this facet result that is a single facet name.
      Returns:
        name as string

    - #### newBuilder

          public static FacetResult.Builder newBuilder()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`